## arpack 2.1

=== BLAS/Makefile ===
############################################################################
#
#  Program:         ARPACK
#
#  Module:          Makefile
#
#  Purpose:         Sources Makefile
#
#  Creation date:   February 22, 1996
#
#  Modified:        September 6, 1996
#
#  Send bug reports, comments or suggestions to arpack.caam.rice.edu
#
############################################################################
#\SCCS Information: @(#)
# FILE: Makefile   SID: 2.3   DATE OF SID: 9/24/96   RELEASE: 2
 
include ../ARmake.inc
 
############################################################################
#  To create or add to the library, enter make followed by one or
#  more of the precisions desired.  Targets sdrv, ddrv, cdrv,
#  zdrv are used to add to the ARPACK library those BLAS routines needed by 
#  driver programs in the EXAMPLES directory.
#
#  Some examples:
#       make single
#       make single complex
#       make single sdrv
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates a library of all four precisions.
#  The library also contains all extra BLAS routines used by driver
#  programs in the EXAMPLES directory.
#
#  The name of the library is defined by $(ARPACKLIB) in
#  ../ARmake.inc and is created at the next higher directory level.
#
#
SOBJ  = isamax.o sasum.o saxpy.o scopy.o sdot.o  snrm2.o srot.o  srotg.o\
        sscal.o  sswap.o sgemv.o sger.o  ssymv.o ssyr2.o strmm.o sgbmv.o

DOBJ  = idamax.o dasum.o daxpy.o dcopy.o ddot.o  dnrm2.o drot.o  drotg.o\
        dscal.o  dswap.o dgemv.o dger.o  dsymv.o dsyr2.o dtrmm.o dgbmv.o

COBJ  = icamax.o caxpy.o ccopy.o cdotc.o cdotu.o cgbmv.o  cgemv.o cgerc.o\
        cgeru.o  cscal.o csscal.o cswap.o ctrmm.o ctrsv.o scasum.o scnrm2.o\
        isamax.o sscal.o 

ZOBJ  = izamax.o zaxpy.o zcopy.o zdotc.o zdotu.o zgbmv.o  zgemv.o zgerc.o\
        zgeru.o zscal.o zdscal.o zswap.o ztrmm.o ztrsv.o dzasum.o dznrm2.o\
        idamax.o dscal.o

# The following BLAS routine are not required by ARPACK source code.
# They are called by the driver programs in the EXAMPLES directory.
#
SDRVOBJ = sgemm.o strsm.o stbsv.o 
DDRVOBJ = dgemm.o dtrsm.o dtbsv.o
CDRVOBJ = ccopy.o cgemv.o cgeru.o cgemm.o cscal.o cswap.o ctrsm.o ctbsv.o\
          icamax.o 
ZDRVOBJ = zcopy.o zgemv.o zgeru.o zgemm.o zscal.o zswap.o ztrsm.o ztbsv.o\
          izamax.o

.SUFFIXES:      .o .F .f

.f.o:
	$(FC) $(FFLAGS) -c $<
all: single double complex complex16 sdrv ddrv cdrv zdrv
 
single: $(SOBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(SOBJ)
	$(RANLIB) $(ARPACKLIB)
 
double: $(DOBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(DOBJ)
	$(RANLIB) $(ARPACKLIB)

complex: $(COBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(COBJ)
	$(RANLIB) $(ARPACKLIB)

complex16: $(ZOBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(ZOBJ)
	$(RANLIB) $(ARPACKLIB)
#
# Add routines needed by driver programs (in the EXAMPLES
# directory) to $(ARPACKLIB).
#
sdrv: $(SDRVOBJ) $(CDRVOBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(SDRVOBJ) $(CDRVOBJ)
	$(RANLIB) $(ARPACKLIB)

ddrv: $(DDRVOBJ) $(ZDRVOBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(DDRVOBJ) $(ZDRVOBJ)
	$(RANLIB) $(ARPACKLIB)

cdrv: $(CDRVOBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(CDRVOBJ)
	$(RANLIB) $(ARPACKLIB)

zdrv: $(ZDRVOBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(ZDRVOBJ)
	$(RANLIB) $(ARPACKLIB)
#
#  clean	- remove all object files
#
clean:
	rm -f *.o a.out core

=== SRC/Makefile ===
############################################################################
#
#  Program:         ARPACK
#
#  Module:          Makefile
#
#  Purpose:         Sources Makefile
#
#  Creation date:   February 22, 1996
#
#  Modified:        September 9, 1996
#
#  Send bug reports, comments or suggestions to arpack.caam.rice.edu
#
############################################################################
#\SCCS Information: @(#)
# FILE: Makefile   SID: 2.1   DATE OF SID: 9/9/96   RELEASE: 2

include ../ARmake.inc

############################################################################
#  To create or add to the library, enter make followed by one or
#  more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates a library of all four precisions.
#  The name of the library is defined by $(ARPACKLIB) in
#  ../ARmake.inc and is created at the next higher directory level.

SOBJ  = sgetv0.o slaqrb.o sstqrb.o ssortc.o ssortr.o sstatn.o sstats.o \
	snaitr.o snapps.o snaup2.o snaupd.o snconv.o sneigh.o sngets.o \
	ssaitr.o ssapps.o ssaup2.o ssaupd.o ssconv.o sseigt.o ssgets.o \
	sneupd.o sseupd.o ssesrt.o

DOBJ  = dgetv0.o dlaqrb.o dstqrb.o dsortc.o dsortr.o dstatn.o dstats.o \
	dnaitr.o dnapps.o dnaup2.o dnaupd.o dnconv.o dneigh.o dngets.o \
	dsaitr.o dsapps.o dsaup2.o dsaupd.o dsconv.o dseigt.o dsgets.o \
	dneupd.o dseupd.o dsesrt.o

COBJ  = cnaitr.o cnapps.o cnaup2.o cnaupd.o cneigh.o cneupd.o cngets.o \
        cgetv0.o csortc.o cstatn.o

ZOBJ  = znaitr.o znapps.o znaup2.o znaupd.o zneigh.o zneupd.o zngets.o \
        zgetv0.o zsortc.o zstatn.o

.f.o:
	$(FC) $(FFLAGS) -c $<

all: single double complex complex16

static: single double complex complex16
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(SOBJ) $(DOBJ) $(COBJ) $(ZOBJ)
	$(RANLIB) $(ARPACKLIB)

single: $(SOBJ)
#	$(AR) $(ARFLAGS) $(ARPACKLIB) $(SOBJ)
#	$(RANLIB) $(ARPACKLIB)

double: $(DOBJ)
#	$(AR) $(ARFLAGS) $(ARPACKLIB) $(DOBJ)
#	$(RANLIB) $(ARPACKLIB)

complex: $(COBJ)
#	$(AR) $(ARFLAGS) $(ARPACKLIB) $(COBJ)
#	$(RANLIB) $(ARPACKLIB)

complex16: $(ZOBJ)
#	$(AR) $(ARFLAGS) $(ARPACKLIB) $(ZOBJ)
#	$(RANLIB) $(ARPACKLIB)
#
sdrv:

ddrv:

cdrv:

zdrv:

#
#  clean	- remove all object files
#
clean:
	rm -f *.a *.o a.out core

=== UTIL/Makefile ===
############################################################################
#
#  Program:         ARPACK
#
#  Module:          Makefile
#
#  Purpose:         Sources Makefile
#
#  Creation date:   February 22, 1996
#
#  Modified:        September 6, 1996
#
#  Send bug reports, comments or suggestions to arpack.caam.rice.edu
#
############################################################################
#\SCCS Information: @(#)
# FILE: Makefile   SID: 2.1   DATE OF SID: 9/9/96   RELEASE: 2
 
include ../ARmake.inc
 
############################################################################
#  To create or add to the library, enter make followed by one or
#  more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates a library of all four precisions.
#  The name of the library is defined by $(ARPACKLIB) in
#  ../ARmake.inc and is created at the next higher directory level.
#

OBJS  = icnteq.o icopy.o iset.o iswap.o ivout.o second.o

SOBJ  = svout.o  smout.o

DOBJ  = dvout.o  dmout.o

COBJ  = cvout.o  cmout.o 

ZOBJ  = zvout.o  zmout.o

.SUFFIXES:      .o .F .f

.f.o:
	$(FC) $(FFLAGS) -c $<
#
#  make the library containing both single and double precision
#
all: single double complex complex16

single: $(SOBJ) $(OBJS)
#	$(AR) $(ARFLAGS) $(ARPACKLIB) $(SOBJ) $(OBJS)
#	$(RANLIB) $(ARPACKLIB)

double: $(DOBJ) $(OBJS) $(ZOBJ)
#	$(AR) $(ARFLAGS) $(ARPACKLIB) $(DOBJ) $(OBJS)
#	$(RANLIB) $(ARPACKLIB)

complex: $(SOBJ) $(OBJS) $(COBJ)
#	$(AR) $(ARFLAGS) $(ARPACKLIB) $(SOBJ) $(COBJ) $(OBJS)
#	$(RANLIB) $(ARPACKLIB)

complex16: $(DOBJ) $(OBJS) $(ZOBJ)
#	$(AR) $(ARFLAGS) $(ARPACKLIB) $(DOBJ) $(ZOBJ) $(OBJS)
#	$(RANLIB) $(ARPACKLIB)
#
sdrv:

ddrv:

cdrv:

zdrv:

#
#  clean	- remove all object files
#
clean:
	rm -f *.a *.o a.out core

## arpack 2.1+parpack96.dfsg

=== Makefile ===
############################################################################
#
#  Program:         ARPACK
#
#  Module:          Makefile
#
#  Purpose:         Top-level Makefile
#
#  Creation date:   February 22, 1996
#
#  Modified:
#
#  Send bug reports, comments or suggestions to arpack@caam.rice.edu
#
############################################################################

include ARmake.inc

PRECISIONS = single double complex complex16
#PRECISIONS = double

############################################################################
#
#  The library can be set up to include routines for any combination of the
#  four PRECISIONS.  First, modify the definitions in ARmake.inc to match 
#  your library archiver, compiler, and the options to be used.

#  Sample ARmake.inc's can be found in the directory ARMAKES
#  
#  Then to create or add to the library, enter make lib after having
#  modified the environment variable PRECISIONS defined in this Makefile.
#
#       make lib
#  creates the library for serial ARPACK,
#       make plib
#  creates the library for parallel ARPACK,
#       make all
#  creates both libraries.
#
#  The name of the libraries are defined in the file called ARmake.inc and
#  are created at this directory level.
#
#  To remove the object files after the libraries and testing executables
#  are created, enter
#       make clean
#
############################################################################

all: lib plib 

lib: arpacklib

plib: parpacklib

clean: cleanlib 

arpacklib:
	@( \
	for f in $(DIRS); \
	do \
		$(CD) $$f; \
		$(ECHO) Making lib in $$f; \
		$(MAKE) $(PRECISIONS); \
		$(CD) ..; \
	done );
	$(RANLIB) $(ARPACKLIB)

parpacklib:
	( cd $(PUTILdir); $(MAKE) $(PRECISIONS) )
	( cd $(PSRCdir); $(MAKE) $(PRECISIONS) )
	$(RANLIB) $(PARPACKLIB)

cleanlib:
	( cd $(BLASdir); $(MAKE) clean )
	( cd $(LAPACKdir); $(MAKE) clean )
	( cd $(UTILdir); $(MAKE) clean )
	( cd $(SRCdir); $(MAKE) clean )
	( cd $(PUTILdir); $(MAKE) clean )
	( cd $(PSRCdir); $(MAKE) clean )

help:
    @$(ECHO) "usage: make ?"

=== ARPACK/Makefile ===
############################################################################
#
#  Program:         ARPACK
#
#  Module:          Makefile
#
#  Purpose:         Top-level Makefile
#
#  Creation date:   February 22, 1996
#
#  Modified:
#
#  Send bug reports, comments or suggestions to arpack@caam.rice.edu
#
############################################################################

include ARmake.inc

PRECISIONS = single double complex complex16
#PRECISIONS = double ddrv
#  If LAPACK and BLAS are not installed on you system, and you are going 
#  to use the driver programs in the EXAMPLES directory,  you need to add 
#  sdrv(for single precision), ddrv(for double precision), 
#  cdrv(for single precision complex), or zdrv(for double precision complex) 
#  to the definition of PRECISION.

############################################################################
#
#  The library can be set up to include routines for any combination of the
#  four PRECISIONS.  First, modify the definitions in ARmake.inc to match 
#  your library archiver, compiler, and the options to be used.
#
#  Sample ARmake.inc's can be found in the directory ARMAKES
#  
#  Then to create or add to the library, enter make lib after having
#  modified the environment variable PRECISIONS defined in this Makefile.
#
#       make lib
#  creates the library for serial ARPACK,
#
#  The name of the libraries are defined in the file called ARmake.inc and
#  are created at this directory level.
#
#  To remove the object files after the libraries and testing executables
#  are created, enter
#       make clean
#
############################################################################

all: lib 

lib: arpacklib

clean: cleanlib

arpacklib:
	@( \
	for f in $(DIRS); \
	do \
		$(CD) $$f; \
		$(ECHO) Making lib in $$f; \
		$(MAKE) $(PRECISIONS); \
		$(CD) ..; \
	done );
	$(RANLIB) $(ARPACKLIB)

cleantest:

cleanlib:
	( cd $(BLASdir); $(MAKE) clean )
	( cd $(LAPACKdir); $(MAKE) clean )
	( cd $(UTILdir); $(MAKE) clean )
	( cd $(SRCdir); $(MAKE) clean )

help:
    @$(ECHO) "usage: make ?"

=== PARPACK/SRC/MPI/Makefile ===
############################################################################
#
#  Program:         PARPACK
#
#  Module:          Makefile
#
#  Purpose:         Sources Makefile
#
#  Creation date:   February 22, 1996
#
#  Modified:
#
#  Send bug reports, comments or suggestions to arpack.caam.rice.edu
#
############################################################################

#include ../../../ARmake.inc
include ../ARmake.inc

############################################################################
#  To create or add to the library, enter make followed by one or
#  more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates a library of all four precisions.
#  The name of the library is defined by $(PARPACKLIB) in
#  $(home)/ARmake.inc and is created in the $(home) directory.

SOBJ  = psgetv0.o  \
	psnaitr.o psnapps.o psnaup2.o psnaupd.o psneigh.o psngets.o \
	pssaitr.o pssapps.o pssaup2.o pssaupd.o psseigt.o pssgets.o \
	psneupd.o psseupd.o pslarnv.o pslamch.o psnorm2.o

DOBJ  = pdgetv0.o \
	pdnaitr.o pdnapps.o pdnaup2.o pdnaupd.o pdneigh.o pdngets.o \
	pdsaitr.o pdsapps.o pdsaup2.o pdsaupd.o pdseigt.o pdsgets.o \
	pdneupd.o pdseupd.o pdlarnv.o pdlamch.o pdnorm2.o

COBJ  = pcnaitr.o pcnapps.o pcnaup2.o pcnaupd.o pcneigh.o \
		pcneupd.o pcngets.o pcgetv0.o pscnorm2.o pclarnv.o

ZOBJ  = pznaitr.o pznapps.o pznaup2.o pznaupd.o pzneigh.o \
		pzneupd.o pzngets.o pzgetv0.o pdznorm2.o pzlarnv.o

.f.o:
	$(FC) $(FFLAGS) -c $<

all: single complex double complex16

single: $(SOBJ)
	$(AR) $(ARFLAGS) $(PARPACKLIB) $(SOBJ)
	$(RANLIB) $(PARPACKLIB)

double: $(DOBJ)
	$(AR) $(ARFLAGS) $(PARPACKLIB) $(DOBJ)
	$(RANLIB) $(PARPACKLIB)

complex: $(COBJ)
	$(AR) $(ARFLAGS) $(PARPACKLIB) $(COBJ)
	$(RANLIB) $(PARPACKLIB)

complex16: $(ZOBJ)
	$(AR) $(ARFLAGS) $(PARPACKLIB) $(ZOBJ)
	$(RANLIB) $(PARPACKLIB)

#
#  clean	- remove all object files
#
clean:
	rm -f *.o a.out core

=== PARPACK/UTIL/MPI/Makefile ===
############################################################################
#
#  Program:         ARPACK
#
#  Module:          Makefile
#
#  Purpose:         Sources Makefile
#
#  Creation date:   February 22, 1996
#
#  Modified:
#
#  Send bug reports, comments or suggestions to arpack.caam.rice.edu
#
############################################################################


#include ../../../ARmake.inc
include ../ARmake.inc

############################################################################
#  To create or add to the library, enter make followed by one or
#  more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates a library of all four precisions.
#  The name of the library is defined by $(ARPACKLIB) in
#  ../ARmake.inc and is created at the next higher directory level.
#

OBJS  = pivout.o

SOBJ  = psvout.o  psmout.o

DOBJ  = pdvout.o  pdmout.o

COBJ  = pcvout.o  pcmout.o

ZOBJ  = pzvout.o  pzmout.o

.SUFFIXES:      .o .F .f

.f.o:
	$(FC) $(FFLAGS) -c $<
#
#  make the library containing both single and double precision
#
all: single complex double complex16

single: $(SOBJ) $(OBJS)
	$(AR) $(ARFLAGS) $(PARPACKLIB) $(SOBJ) $(OBJS)
	$(RANLIB) $(PARPACKLIB)

double: $(DOBJ) $(OBJS)
	$(AR) $(ARFLAGS) $(PARPACKLIB) $(DOBJ) $(OBJS)
	$(RANLIB) $(PARPACKLIB)

complex: $(COBJ) $(OBJS)
	$(AR) $(ARFLAGS) $(PARPACKLIB) $(COBJ) $(OBJS)
	$(RANLIB) $(PARPACKLIB)

complex16: $(ZOBJ) $(OBJS)
	$(AR) $(ARFLAGS) $(PARPACKLIB) $(ZOBJ) $(OBJS)
	$(RANLIB) $(PARPACKLIB)

#
#  clean	- remove all object files
#
clean:
	rm -f *.o a.out core

=== debian/changelog ===
arpack (2.1+parpack96.dfsg-3) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/control: Added Homepage field.
    (Uploaders): Removed Rafael Laboissiere. Thanks for your work (closes:
    #571828).
    (Standards-Version): Bumped to 3.8.4.
    (Depends): Fixed weak-library-dev-dependency.
    (Section): libarpack2-dbg is `debug' now.
  * debian/rules (clean): Fix target to not remove README.source.
  * debian/source.lintian-overrides: Added to hide a lintian limitation.
  * debian/README.source: Added.

  [ Adam C. Powell, IV ]
  * Changed source format to 3.0 (quilt).
  * Fix octave segfault using patch from Thomas Weber (closes: #572935).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 04 May 2010 16:05:05 -0400

arpack (2.1+parpack96.dfsg-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Add version dependency information for libarpack2 (>=
    2.1+parpack96-5), such that packages building against libarpack2-dev
    will require the version of the library in which the UTIL/* symbols
    were reintroduced
  * debian/watch: Add file (Lintian warning)
  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes needed)
    + Use viewsvn instead of wsvn in Vcs-Browser field
    + Fix Lintian warning debhelper-but-no-misc-depends
    + Make short and long descriptions distinct for the three binary packages
  * debian/libarpack2.symbols: Add symbols file

  [ Daniel Leidert ]
  * debian/control (Vcs-Svn): Fixed.
    (Build-Depends): Use mpi-default-dev (closes: #509783).
    (Priority): libarpack2-dev must be priority extra as mpi-default-dev is,
    see Debian policy section 2.5.
    (Depends): Use mpi-default-dev (#509783). Removed useless dependencies.
    (Description): Fixed indenting of list to print verbatim.
  * debian/rules: Adjusted determination of build flags now using
    mpi-default-dev.
    (DEB_MAKE_ENVVARS): Add FC and FFLAGS and set them accordingly to drop
    debian/patches/use-gfortran.patch.
    (build/libarpack2): Use DEB_MAKE_ENVVARS.
  * debian/patches/use-gfortran.patch: Dropped.
  * debian/patches/parpack-clean-dirs.patch: Dropped.
  * debian/patches/series: Adjusted accordingly.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 22 Mar 2009 15:14:22 +0100

arpack (2.1+parpack96.dfsg-1) unstable; urgency=low

  * New tarball without non-free ug.ps file, now qualifies for main
    (closes: #491794).
  * Removed libarpack2-dev.doc-base because this was its only file.
  * Modified copyright to indicate downloader and date for current
    copyright/license.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 30 Nov 2008 11:09:12 -0500

arpack (2.1+parpack96-9) unstable; urgency=low

  * Moved back to main because of change to 3-clause BSD license
    (closes: #491794).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 24 Nov 2008 18:03:41 -0500

arpack (2.1+parpack96-8) unstable; urgency=low

  * Moved to non-free because of non-DFSG license (closes: #491794).
  * Added Adam Powell to the list of uploaders.
  * Added PARPACKLIB parameter to ARmake.inc.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 10 Nov 2008 10:58:23 -0500

arpack (2.1+parpack96-7) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/control (Depends): libarpack2-dbg needs a strict versioned
    dependency on libarpack2 (LP: #206294).

  [ Rafael Laboissiere ]
  * debian/control: Force build-dependency on gfortran to be >= 4.3.0-3.
    In previous versions of this package, the /usr/lib/libgfortran.so
    symlink was lacking on alpha, amd64, i386, and hppa, resulting in an
    empty libarpack2 package on these architectures (closes: #474342).

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 06 Apr 2008 22:09:44 +0200

arpack (2.1+parpack96-6) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Add versioned build-dependency on debhelper >= 5 and
    make Lintian happy

  [ Daniel Leidert ]
  * debian/control (Depends): libarpack2-dbg needs a strict versioned
    dependency on libarpack2 (LP: #206294).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 25 Mar 2008 14:09:50 +0100

arpack (2.1+parpack96-5) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/arpack2-dev.doc-base (Section): Fixed accordingly to latest
    doc-base policy.
  * debian/libarpack2-dev.doc-base (Section): Ditto.
  * debian/control (Build-Depends): Use libopenmpi-dev on kfreebsd-i386,
    kfreebsd-amd64 and hurd-i386 too.
  * debian/rules (build/libarpack2): Build and link files in UTIL/ to avoid
    missing symbols (closes: #470415). Add -lgfortran to resolve gfortran
    symbols. Link with -lmpi_f77 on libopenmpi enabled architectures. Link
    with -larpack for svout and other functions used in libparapack.
  * debian/patches/no_external_etime.patch: Added.
    - ARPACK/UTIL/second.f, UTIL/second.f: EXTERNAL for etime() is wrong here.
  * debian/patches/series: Adjusted.

  [ Rafael Laboissiere ]
  * Add Daniel Leidert to the list of Uploaders
  * Allow upload by Debian Maintainers

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 11 Mar 2008 02:49:46 +0100

arpack (2.1+parpack96-4) unstable; urgency=low

  * debian/libarpack2-dev.install: Install doc files in proper directory,
    avoiding conflicts with the libarpack2 package (closes: #469286)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 04 Mar 2008 14:22:55 +0100

arpack (2.1+parpack96-3) unstable; urgency=low

  * debian/rules: Set variables PSRCdir and PUTILdir for the invocation of
    "make clean".  We cannot rely on parpack-clean-dirs.patch for doing
    this and the previous version was still causing problems with the
    buildds.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 01 Mar 2008 18:58:19 +0100

arpack (2.1+parpack96-2) unstable; urgency=low

  [ Christophe Prud'homme ]
  * debian/control: fixed liblapack3gf dep (closes: #467576)

  [ Rafael Laboissiere ]
  * debian/dirs: Delete this unnecessary file, avoiding some Lintian warnings
  * debian/control:


=== debian/control ===
Source: arpack
Section: math
Priority: optional
Maintainer: Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>,
 Daniel Leidert (dale) <daniel.leidert@wgdd.de>,
 "Adam C. Powell, IV" <hazelsct@debian.org>
DM-Upload-Allowed: yes
Build-Depends: quilt, cdbs, debhelper (>= 5), gfortran (>= 4.3.0-3),
 libblas-dev, liblapack-dev, mpi-default-dev (>= 0.3)
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-scicomp/arpack/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-scicomp/arpack/
Homepage: http://www.caam.rice.edu/software/ARPACK/

Package: libarpack2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: atlas3-base
Replaces: arpack2
Conflicts: arpack2
Description: Fortran77 subroutines to solve large scale eigenvalue problems
 ARPACK software is capable of solving large scale symmetric,
 nonsymmetric, and generalized eigenproblems from significant
 application areas. The software is designed to compute a few (k)
 eigenvalues with user specified features such as those of largest
 real part or largest magnitude. Storage requirements are on the order
 of n*k locations. No auxiliary storage is required. A set of Schur
 basis vectors for the desired k-dimensional eigen-space is computed
 which is numerically orthogonal to working precision. Numerically
 accurate eigenvectors are available on request.
 .
 Important Features:
 .
  o Reverse Communication Interface.
  o Single and Double Precision Real Arithmetic Versions for Symmetric,
    Non-symmetric,
  o Standard or Generalized Problems.
  o Single and Double Precision Complex Arithmetic Versions for Standard or
    Generalized Problems.
  o Routines for Banded Matrices - Standard or Generalized Problems.
  o Routines for The Singular Value Decomposition.
  o Example driver routines that may be used as templates to implement
    numerous Shift-Invert strategies for all problem types, data types and
    precision.
 .
 This package contains the shared libraries.

Package: libarpack2-dev
Section: libdevel
Priority: extra
Architecture: any
Depends:  libarpack2 (= ${binary:Version}), libblas-dev, liblapack-dev, mpi-default-dev, ${misc:Depends}
Replaces: arpack2-dev
Conflicts: arpack2-dev
Description: Fortran77 subroutines to solve large scale eigenvalue problems (development)
 ARPACK software is capable of solving large scale symmetric,
 nonsymmetric, and generalized eigenproblems from significant
 application areas. The software is designed to compute a few (k)
 eigenvalues with user specified features such as those of largest
 real part or largest magnitude. Storage requirements are on the order
 of n*k locations. No auxiliary storage is required. A set of Schur
 basis vectors for the desired k-dimensional eigen-space is computed
 which is numerically orthogonal to working precision. Numerically
 accurate eigenvectors are available on request.
 .
 This package contains the static libraries and the documentation for
 development with libarpack and libparpack (including examples).

Package: libarpack2-dbg
Section: debug
Architecture: any
Priority: extra
Depends:  libarpack2 (= ${binary:Version}), ${misc:Depends}
Description: Fortran77 subroutines to solve large scale eigenvalue problems (debug)
 ARPACK software is capable of solving large scale symmetric,
 nonsymmetric, and generalized eigenproblems from significant
 application areas. The software is designed to compute a few (k)
 eigenvalues with user specified features such as those of largest
 real part or largest magnitude. Storage requirements are on the order
 of n*k locations. No auxiliary storage is required. A set of Schur
 basis vectors for the desired k-dimensional eigen-space is computed
 which is numerically orthogonal to working precision. Numerically
 accurate eigenvectors are available on request.
 .
 This package contains the debugging symbols for libarpack and libparpack.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/mpi-default-dev/debian_defaults

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_AUTO_CLEANUP_RCS := yes
DEB_SRCDIR := $(CURDIR)/
DEB_BUILDDIR := $(DEB_SRCDIR)/

DEB_MAKE_CLEAN_TARGET    := clean PSRCdir="SRC" PUTILdir="UTIL"
DEB_MAKE_BUILD_TARGET    := default FC="gfortran"
DEB_MAKE_ENVVARS         += FC="gfortran" FFLAGS="-O3 -fPIC -pipe"
DEB_COMPRESS_EXCLUDE     := .pdf
#DH_COMPAT=5

DEB_INSTALL_EXAMPLES_libarpack2-dev := EXAMPLES/* -X.svn

DEB_DH_MAKESHLIBS_ARGS := --version-info="libarpack2 (>= 2.1+parpack96-5)"

CFLAGS = -fPIC -fexceptions -Wall -O3
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
 CFLAGS += -m64
endif

ifneq (,$(findstring openmpi,$(ARCH_DEFAULT_MPI_IMPL)))
 openmpilib = -lmpi_f77
endif

package=arpack

version=2.1 #$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=2 #$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

build/libarpack2::
	-mkdir -p objs pobjs
	-(cd objs && $(MAKE) -f ../UTIL/Makefile VPATH="../UTIL" srcdir="../UTIL" $(DEB_MAKE_ENVVARS) single double complex complex16; )
	-(cd objs && $(MAKE) -f ../SRC/Makefile VPATH="../SRC" srcdir="../SRC" $(DEB_MAKE_ENVVARS) single double complex complex16; )
	-(cd objs && gcc -shared -Wl,-soname,lib$(package).so.$(version_major) -o lib$(package).so.$(version) `ls *.o`  -L/usr/lib/atlas -llapack -lblas -lm -lgfortran)
	-(cd objs && ln -sf lib$(package).so.$(version) lib$(package).so.$(version_major) )
	-(cd objs && ln -sf lib$(package).so.$(version) lib$(package).so )
	-(cd objs && ar rv lib$(package).a `ls *.o`; ranlib lib$(package).a )
	-(cd pobjs && $(MAKE) -f ../PARPACK/UTIL/MPI/Makefile VPATH="../PARPACK/UTIL/MPI/" srcdir="../PARPACK/UTIL/MPI/" $(DEB_MAKE_ENVVARS) single double complex complex16; )
	-(cd pobjs && $(MAKE) -f ../PARPACK/SRC/MPI/Makefile VPATH="../PARPACK/SRC/MPI/" srcdir="../PARPACK/SRC/MPI/" $(DEB_MAKE_ENVVARS) single double complex complex16; )
	-(cd pobjs && gcc -shared -Wl,-soname,libp$(package).so.$(version_major) -o libp$(package).so.$(version) `ls *.o`  -L/usr/lib/atlas -llapack -lblas -lmpi $(openmpilib) -lm -lgfortran -L../objs -l$(package) )
	-(cd pobjs && ln -sf libp$(package).so.$(version) libp$(package).so.$(version_major) )
	-(cd pobjs && ln -sf libp$(package).so.$(version) libp$(package).so )
	-(cd pobjs && ar rv libp$(package).a `ls *.o`; ranlib libp$(package).a )

clean::
	-$(RM) -r objs pobjs
	-find $(DEB_BUILDDIR) \( -name "*.a" -o -name "*.so" -o -name "*.so.*" \) -delete

=== debian/watch ===
# This is a dummy debian/watch file, to make Lintian happy.
#
# Currently, upstream uses a distribution mechanism that cannot be
# meaningfully monitored by uscan and the Debian External Health Status
# project.

## arpack 3.0

=== PARPACK/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# PARPACK/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/arpack
pkgincludedir = $(includedir)/arpack
pkglibdir = $(libdir)/arpack
pkglibexecdir = $(libexecdir)/arpack
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = PARPACK
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_blas.m4 \
	$(top_srcdir)/m4/ax_lapack.m4 $(top_srcdir)/m4/ax_mpi.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(libdir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
am__DEPENDENCIES_1 =
libparpack_la_DEPENDENCIES = $(top_builddir)/SRC/libarpacksrc.la \
	$(top_builddir)/UTIL/libarpackutil.la \
	$(top_builddir)/PARPACK/SRC/MPI/libparpacksrcmpi.la \
	$(top_builddir)/PARPACK/UTIL/MPI/libparpackutilmpi.la \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_libparpack_la_OBJECTS =
libparpack_la_OBJECTS = $(am_libparpack_la_OBJECTS)
libparpack_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libparpack_la_LDFLAGS) $(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I.
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libparpack_la_SOURCES)
DIST_SOURCES = $(libparpack_la_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /home/sylvestre/dev/arpack-ng/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/sylvestre/dev/arpack-ng/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/sylvestre/dev/arpack-ng/missing --run autoconf
AUTOHEADER = ${SHELL} /home/sylvestre/dev/arpack-ng/missing --run autoheader
AUTOMAKE = ${SHELL} /home/sylvestre/dev/arpack-ng/missing --run automake-1.11
AWK = gawk
BLAS_LIBS = -lblas
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"arpack\" -DPACKAGE_TARNAME=\"arpack\" -DPACKAGE_VERSION=\"96\" -DPACKAGE_STRING=\"arpack\ 96\" -DPACKAGE_BUGREPORT=\"arpack@caam.rice.edu\" -DPACKAGE_URL=\"\" -DPACKAGE=\"arpack\" -DVERSION=\"96\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DHAVE_BLAS=1 -DHAVE_LAPACK=1
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = gfortran
FFLAGS = -g -O2
FGREP = /bin/grep -F
FLIBS =  -L/usr/lib/gcc/x86_64-linux-gnu/4.6 -L/usr/lib/gcc/x86_64-linux-gnu/4.6/../../../x86_64-linux-gnu -L/usr/lib/gcc/x86_64-linux-gnu/4.6/../../../../lib -L/lib/x86_64-linux-gnu -L/lib/../lib -L/usr/lib/x86_64-linux-gnu -L/usr/lib/../lib -L/usr/lib/gcc/x86_64-linux-gnu/4.6/../../.. -lgfortran -lm -lquadmath
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LAPACK_LIBS = -llapack
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/sylvestre/dev/arpack-ng/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
MPIDIR = 
MPIF77 = 
MPILIBS = 
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = arpack
PACKAGE_BUGREPORT = arpack@caam.rice.edu
PACKAGE_NAME = arpack
PACKAGE_STRING = arpack 96
PACKAGE_TARNAME = arpack
PACKAGE_URL = 
PACKAGE_VERSION = 96
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 96
abs_builddir = /home/sylvestre/dev/arpack-ng/PARPACK
abs_srcdir = /home/sylvestre/dev/arpack-ng/PARPACK
abs_top_builddir = /home/sylvestre/dev/arpack-ng
abs_top_srcdir = /home/sylvestre/dev/arpack-ng
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
ac_ct_F77 = gfortran
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/sylvestre/dev/arpack-ng/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SUBDIRS = UTIL SRC
lib_LTLIBRARIES = libparpack.la
libparpack_la_SOURCES = 
libparpack_la_LDFLAGS = -version-info 0:0
libparpack_la_LIBADD = \
	$(top_builddir)/SRC/libarpacksrc.la \
	$(top_builddir)/UTIL/libarpackutil.la \
	$(top_builddir)/PARPACK/SRC/MPI/libparpacksrcmpi.la \
	$(top_builddir)/PARPACK/UTIL/MPI/libparpackutilmpi.la \
	$(BLAS_LIBS) $(LAPACK_LIBS) $(FLIBS)

all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign PARPACK/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign PARPACK/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
	}

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \

=== debian/changelog ===
arpack (3.0-1) unstable; urgency=low

  * Switch to arpack-ng since upstream is dead.
  * New upstream release
  * Daniel Leidert removed from the uploaders (Closes: #651351)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Dec 2011 20:32:45 +0100

arpack (2.1+parpack96.dfsg-4) unstable; urgency=low

  [ Daniel Leidert (dale) ]
  * debian/control (Standards-Version): Bumped to 3.9.0.
    (Description): Fixed list format.
  * debian/libarpack2.install,
    debian/libarpack2-dev.install: Don't install obsolete license files.
  * debian/ARPACK_License_Question.eml,
    debian/RiceBSD.txt: Removed obsolete license files.
  * debian/README.debian: Dropped useless file.
  * debian/patches/fix-segfault.patch: Added comment to patch to fix
    quilt-patch-missing-description.

  [ Sylvestre Ledru ]
  * Team upload
  * Package migrated to the Debian Science team
  * Standards-Version updated to version 3.9.2
  * Update of the Recommends: atlas3-base to libatlas3gf-base
  * DM-Upload-Allowed: yes removed (only DD are working on this package)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 08 Aug 2011 18:06:51 +0200
